<!-- begin sidebar -->
<div id="sidebar">
  <ul>
  <?php /* If this is a daily archive */ if (isset($_GET['day']) && !empty($_GET['day'])) { ?>
    <li><h2>Currently Browsing</h2>
    <ul>
      <li>You are currently browsing the <a href="<?php bloginfo('url'); ?>"><?php echo bloginfo('name'); ?></a> weblog archives for the day <?php the_time('l, F jS, Y'); ?>.</li>
    </ul></li>
  <?php /* If this is a monthly archive */ } elseif ((isset($_GET['m']) && !empty($_GET['m'])) or (isset($_GET['monthnum']) && ! empty($_GET['monthnum']))) { ?>
    <li><h2>Currently Browsing</h2>
    <ul>
      <li>You are currently browsing the <a href="<?php bloginfo('url'); ?>"><?php echo bloginfo('name'); ?></a> weblog archives for <?php the_time('F, Y'); ?>.</li>
    </ul></li>
  <?php /* If this is a yearly archive */ } elseif (isset($_GET['year']) && !empty($_GET['year'])) { ?>
    <li><h2>Currently Browsing</h2>
    <ul>
      <li>You are currently browsing the <a href="<?php bloginfo('url'); ?>"><?php echo bloginfo('name'); ?></a> weblog archives for the year <?php the_time('Y'); ?>.</li>
    </ul></li>
  <?php } ?>			


  <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar() ) : else : ?>

  <?php if (function_exists('wp_theme_switcher')) { ?>
    <li><h2>Themes</h2>
    <ul>
      <li>
        <?php wp_theme_switcher('dropdown'); ?>
      </li>
    </ul></li>
  <?php } ?>

  <?php $link_cats = $wpdb->get_results("SELECT cat_id, cat_name FROM $wpdb->linkcategories");
    foreach ($link_cats as $link_cat) {
    ?>
    <li><h2><?php echo $link_cat->cat_name; ?></h2>
    <ul>
      <?php wp_get_links($link_cat->cat_id); ?>
   </ul></li>
   <?php } ?>

  <li><h2><?php _e('Categories'); ?></h2>
  <ul>
    <?php wp_list_cats(); ?>
  </ul></li>

  <li><h2><?php _e('Archives'); ?></h2>
  <ul>
    <?php wp_get_archives('type=monthly'); ?>
  </ul></li>

  <li><h2><?php _e('Pages'); ?></h2>
  <ul>
    <?php wp_list_pages('sort_column=menu_order&title_li='); ?>
  </ul></li>
  
  <li><h2><?php _e('Meta'); ?></h2>
  <ul>
    <li>
      <?php wp_register(); ?>
      <li><?php wp_loginout(); ?></li>
      <li><a href="feed:<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
      <li><a href="feed:<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('The latest comments to all posts in RSS'); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
      <li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>'); ?></a></li>
      <li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
      <li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>"><abbr title="WordPress">WP</abbr></a></li>
      <?php wp_meta(); ?>
    </li>
  </ul></li>
  
  <li><h2><?php _e('Search'); ?></h2>
  <form id="searchform" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <ul>
      <li><input type="text" name="s" id="s" size="15" />&nbsp;&nbsp;
          <input type="submit" value="<?php _e('Search'); ?>" /></li>
    </ul>
  </form></li>

  <br />

  <?php endif; ?> 
  </ul>
</div>
<!-- end sidebar -->
