<?php // Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
  die ('Please do not load this page directly. Thanks!');
}
if (!empty($post->post_password)) { // if there's a password
  if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
    ?>
		<p class="nocomments">This post is password protected. Enter the password to view comments.<p>
		<?php
		return;
   }
}

<h2 id="comments"><?php comments_number(__('No Comments'), __('1 Comment'), __('% Comments')); ?> 
<?php if ( comments_open() ) { ?>
	<a href="#postcomment" title="<?php _e("Leave a comment"); ?>">&raquo;</a>
<?php } ?>
</h2>

<?php if ( $comments ) { ?>

<?php /* This variable is for alternating comment background */
		$commentback = 'oddcomment'; ?>

<ul id="commentlist">
<?php foreach ($comments as $comment) : ?>

<?php if (the_author('nickname',0) == $comment->comment_author) {$commentback = 'authorcomment';} ?>

  	<li class="<?php echo $commentback; ?>" id="comment-<?php comment_ID() ?>">

    <?php if (function_exists('gravatar')) {
      if ('' != get_comment_author_url()) {
        echo "<a href='$comment->comment_author_url' title='Visit $comment->comment_author'>";
      } else {
        echo "<a href='http://www.gravatar.com' title='Create your own gravatar at gravatar.com!'>";
      }
      $foo = get_option('gravatar_options');
      $gravatar_size = $foo['gravatar_size'];
      echo "<img src='";
      if ('' == $comment->comment_type) {
        echo gravatar($comment->comment_author_email);
      } elseif ( ('trackback' == $comment->comment_type) || ('pingback' == $comment->comment_type) ) {
        echo gravatar($comment->comment_author_url);
      }
      echo "' width='$gravatar_size' height='$gravatar_size' alt='a gravatar' class='gravatar' /></a>";
    }
    ?> 

			<span class="commentby"><?php comment_author_link() ?></span>&nbsp;said:&nbsp;&nbsp;
			<?php if ($comment->comment_approved == '0') { ?>
			  <em>Your comment is awaiting moderation.</em>
			<?php } ?>
			
			<div class="commentinfo">(On <?php comment_date('F jS, Y') ?> at <?php comment_time() ?>) <?php edit_comment_link('edit','',''); ?></div>

			<?php comment_text() ?>

		</li>

	<?php /* Changes every other comment to a different class */	
		if ('oddcomment' == $commentback) $commentback = 'evencomment';
		else $commentback = 'oddcomment';
	?>

<?php endforeach; ?>


<?php } else { // If there are no comments yet ?>
	<p><?php _e('No comments yet.'); ?></p>
<?php } ?>

<p><?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.')); ?> 
<?php if ( pings_open() ) { ?>
	<a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack <abbr title="Uniform Resource Identifier">URI</abbr>'); ?></a>
<?php } ?>
</p>

<?php if ('open' == $post->comment_status) { ?>
  <h2 id="postcomment"><?php _e('Leave a comment'); ?></h2>

  <?php if ( get_option('comment_registration') && !$user_ID ) { ?>
    <p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
  <?php } else { ?>

    <div id="popupheader">Leave a comment</div>
    <p>
      Line and paragraph breaks automatic, e-mail address never displayed, <acronym title="Hypertext Markup Language">HTML</acronym> allowed: <code><?php echo allowed_tags(); ?></code>
    </p>
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <?php if ( $user_ID ) { ?>
        <p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout &raquo;</a></p>
      <?php } else { ?>
        <div id="commentinput">
          <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="30" tabindex="1" />
          &nbsp;&nbsp;<label for="author">Name</label>
         <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
         <input type="hidden" name="redirect_to" value="<?php echo wp_specialchars($_SERVER["REQUEST_URI"]); ?>" />
	      </div>
        <div id="commentinput">
          <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="30" tabindex="2" />
          &nbsp;&nbsp;<label for="email">E-mail</label>
        </div>
        <div id="commentinput">
          <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="30" tabindex="3" />
 	        &nbsp;&nbsp;<label for="url"><acronym title="Uniform Resource Identifier">URI</acronym></label>
        </div>
      <?php } ?>
      <div id="commentinput">
        <label for="comment">Your Comment</label><br />
        <textarea name="comment" id="comment" cols="40" rows="4" tabindex="4"></textarea>
      </div>
      <p>
        <input name="submit" type="submit" tabindex="5" value="Say It!" />
        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
      </p>
      <?php do_action('comment_form', $post->ID); ?>
    </form>
  <?php } ?>

<?php } else { // Comments are closed ?>
  <p><?php _e('Sorry, the comment form is closed at this time.'); ?></p>
<?php } ?>
